----------------------------------------------------
-- Player.lua
--
-- Purpose: Script that runs along side a player in
--	the server
--
-- History:
--	9/22/07 : File created - Kevin Kirst
----------------------------------------------------

Player = 
{

};

----------------------------------------------------
-- OnJoined
--
-- Purpose: Called when the player first joins the
--	server
--
-- Return: 1 to kick the player out or 'nil' to let
--	them stay in
----------------------------------------------------
function Player:OnJoined()
	Commands:Console_Output("Player " .. self:GetName() .. " ( " .. self:GetID() .. " ) joined");
end

----------------------------------------------------
-- OnLeave
--
-- Purpose: Called when the player leaves the server
----------------------------------------------------
function Player:OnLeave()
	Commands:Console_Input("page " .. self:GetName() .. " Thanks for playing!");
end

----------------------------------------------------
-- OnUpdate
--
-- Purpose: Called periodically
--
-- In:	fdt - Change in time since last call
----------------------------------------------------
function Player:OnUpdate(fdt)

end

----------------------------------------------------
-- OnPurchase
--
-- Purpose: Called when player makes a purchase
--
-- In:	cost - How much it cost
--	preset - What they bought
----------------------------------------------------
function Player:OnPurchase(cost, preset)
	Commands:Console_Output("Player " .. self:GetName() .. " just bought a " .. preset .. " for " .. cost);
end

----------------------------------------------------
-- OnPresetChange
--
-- Purpose: Called when player's preset changes
--
-- In:	preset - Player's new preset
--	oldpreset - Player's old preset
--
-- Return '1' to revert back or 'nil' to keep change
----------------------------------------------------
function Player:OnPresetChange(preset, oldpreset)
	Commands:Console_Output("Player " .. self:GetName() .. " changed preset to " .. preset);

	-- Don't let them buy shotgun trooper
	if (preset == "CnC_Nod_RocketSoldier_0" or preset == "CnC_GDI_RocketSoldier_0") then
		return 1;
	end
end