////////////////////////////////////////////////////
// CScriptObjectCommands.h
//
// Purpose: Scriptable object to wrap around commands
//
// File History:
//	- 8/13/07 : File created - Kevin Kirst
////////////////////////////////////////////////////

#ifndef _CSCRIPTOBJECT_COMMANDS_H_
#define _CSCRIPTOBJECT_COMMANDS_H_

#include "CLuaEngineManager.h"

class CScriptObjectCommands : public IScriptableClass<CScriptObjectCommands>
{
public:
	//////////////////////////////////////////////////////
	// Constructor
	//////////////////////////////////////////////////////
	CScriptObjectCommands(IScriptSystem *pSS);
private:
	CScriptObjectCommands(CScriptObjectCommands const&) {}
	CScriptObjectCommands& operator =(CScriptObjectCommands const&) {return *this;}

public:
	//////////////////////////////////////////////////////
	// Destructor
	//////////////////////////////////////////////////////
	virtual ~CScriptObjectCommands(void);

	//////////////////////////////////////////////////////
	static void InitializeTemplate(IScriptSystem *pSS);

public:
	//////////////////////////////////////////////////////
	// Console_Output
	//
	// Purpose: Print text to the console
	//
	// In:	szMsg - (String) Message to print
	//////////////////////////////////////////////////////
	int Console_Output(IFunctionHandler *pH);

	//////////////////////////////////////////////////////
	// Console_Input
	//
	// Purpose: Issue a command through the console as if
	//	you had typed it into the console
	//
	// In:	szCommand - (String) Command to issue
	//////////////////////////////////////////////////////
	int Console_Input(IFunctionHandler *pH);
};

#endif //_CSCRIPTOBJECT_COMMANDS_H_